Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface BridgeDestinationCommonMBean

All Known Subinterfaces:
  BridgeDestinationMBean, JMSBridgeDestinationMBean

public interface BridgeDestinationCommonMBean
extends ConfigurationMBean

This class represents a bridge destination for a WebLogic messaging bridge. Each messaging bridge consists of two destinations that are being bridged: a source destination that the bridge reads messages from, and a target destination where the bridge sends the messages that it receives from the source destination.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`
`static java.lang.String` | `JMS_XA_ADAPTER_JNDI`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getAdapterJNDIName()` The JNDI name of the adapter used to communicate with the specified destination.
`java.lang.String` | `getClasspath()` The `CLASSPATH` of the bridge destination.
`java.lang.String` | `getUserName()` The optional user name that the adapter will use to access the bridge destination.
`java.lang.String` | `getUserPassword()` The user password that the adapter uses to access the bridge destination.
`byte[]` | `getUserPasswordEncrypted()` The encrypted user password that the adapter uses to access the bridge destination.
`void` | `setAdapterJNDIName(java.lang.String name)` The JNDI name of the adapter used to communicate with the specified destination.
`void` | `setClasspath(java.lang.String classpath)` The `CLASSPATH` of the bridge destination.
`void` | `setUserName(java.lang.String name)` The optional user name that the adapter will use to access the bridge destination.
`void` | `setUserPassword(java.lang.String password)` As of 8.1 sp4, this method does the following:
`void` | `setUserPasswordEncrypted(byte[] bytes)` Encrypts the user password and sets the value of the UserPasswordEncrypted attribute.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

### JMS_XA_ADAPTER_JNDI

    public static final java.lang.String JMS_XA_ADAPTER_JNDI

Method Detail

### getAdapterJNDIName

    public java.lang.String getAdapterJNDIName()

  The JNDI name of the adapter used to communicate with the specified destination. This name is specified in the adapter's deployment descriptor file and is used by the WebLogic Server Connector container to bind the adapter in WebLogic Server JNDI.

  Returns:
    The adapterJNDIName value

### setAdapterJNDIName

    public void setAdapterJNDIName(java.lang.String name)
                            throws javax.management.InvalidAttributeValueException

  The JNDI name of the adapter used to communicate with the specified destination. This name is specified in the adapter's deployment descriptor file and is used by the WebLogic Server Connector container to bind the adapter in WebLogic Server JNDI.

  Default Value: JMS_XA_ADAPTER_JNDI
  Legal Value: (value != void && value != null && value.trim().length() != 0)
  Legal NULL: false
  Parameters:
    `name` - The new adapterJNDIName value
  Throws:
    javax.management.InvalidAttributeValueException -

### getUserName

    public java.lang.String getUserName()

  The optional user name that the adapter will use to access the bridge destination.

  Note: All operations done to the specified destination are done using this user name and the corresponding password. Therefore, the User Name/Password for the source and target destinations must have permission to the access the underlying destinations in order for the messaging bridge to work.

  Returns:
    The userName value

### setUserName

    public void setUserName(java.lang.String name)
                     throws javax.management.InvalidAttributeValueException

  The optional user name that the adapter will use to access the bridge destination.

  Note: All operations done to the specified destination are done using this user name and the corresponding password. Therefore, the User Name/Password for the source and target destinations must have permission to the access the underlying destinations in order for the messaging bridge to work.

  Parameters:
    `name` - The new userName value
  Throws:
    javax.management.InvalidAttributeValueException -

### getUserPassword

    public java.lang.String getUserPassword()

  The user password that the adapter uses to access the bridge destination.

  As of 8.1 sp4, the `getUserPassword()` method does the following:

  1. Retrieves the value of the `UserPasswordEncrypted` attribute.
  2. Decrypts the value and returns the unencrypted password as a String.

  Using `getUserPassword()` is a potential security risk because the String object (which contains the unencrypted password) remains in the JVM's memory until garbage collection removes it. Depending on how memory is allocated in the JVM, a significant amount of time could pass before this unencrypted data is removed from memory.

  Instead of using this method, use `getUserPasswordEncrypted()` to retrieve the encrypted password. On the same WebLogic Server that encrypted the value of the UserPasswordEncrypted attribute, use `weblogic.management.EncryptionHelper.encrypt()` to encrypt the user-supplied password. Then compare the encrypted values.

  A non-configurable MBean attribute.
  Returns:
    The userPassword value
  See Also:
    `getUserPasswordEncrypted()`

### setUserPassword

    public void setUserPassword(java.lang.String password)
                         throws javax.management.InvalidAttributeValueException

  As of 8.1 sp4, this method does the following:

  1. Encrypts the parameter value.
  2. Sets the value of the `UserPasswordEncrypted` attribute to the encrypted parameter value.

  A non-configurable MBean attribute.
  Parameters:
    `password` - The new userPassword value
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `setUserPasswordEncrypted(byte[] bytes)`

### getUserPasswordEncrypted

    public byte[] getUserPasswordEncrypted()

  The encrypted user password that the adapter uses to access the bridge destination.

  Returns:
    The UserPasswordEncrypted value as an encrypted byte array
  See Also:
    `EncryptionHelper`

### setUserPasswordEncrypted

    public void setUserPasswordEncrypted(byte[] bytes)
                                  throws javax.management.InvalidAttributeValueException

  Encrypts the user password and sets the value of the UserPasswordEncrypted attribute.

  Parameters:
    `bytes` - The new UserPassword value
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `getUserPasswordEncrypted()`

### getClasspath

    public java.lang.String getClasspath()

  The `CLASSPATH` of the bridge destination. This is used mainly to connect to another release of WebLogic Server.

  When connecting to a destination that is running on WebLogic Server 6.0 or earlier, the bridge destination must supply a `CLASSPATH` that indicates the locations of the classes for the earlier WebLogic Server implementation.

  Note: When connecting to a third-party JMS product, the bridge destination must supply the product's `CLASSPATH` in the WebLogic Server `CLASSPATH`.

  Returns:
    The classpath value

### setClasspath

    public void setClasspath(java.lang.String classpath)
                      throws javax.management.InvalidAttributeValueException

  The `CLASSPATH` of the bridge destination. This is used mainly to connect to another release of WebLogic Server.

  When connecting to a destination that is running on WebLogic Server 6.0 or earlier, the bridge destination must supply a `CLASSPATH` that indicates the locations of the classes for the earlier WebLogic Server implementation.

  Note: When connecting to a third-party JMS product, the bridge destination must supply the product's `CLASSPATH` in the WebLogic Server `CLASSPATH`.

  Secure Value: null
  Parameters:
    `classpath` - The new classpath value
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD